%define srcname idna

Summary:	Internationalized Domain Names in Applications (IDNA)
Name:		python-%{srcname}
Version:	2.6
Release:	1
License:	BSD and Python and Unicode
Group:		Development/Python
Url:		https://github.com/kjd/idna
Source0:	https://files.pythonhosted.org/packages/source/i/%{srcname}/%{srcname}-%{version}.tar.gz
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(setuptools)
BuildArch:	noarch

%description
A library to support the Internationalised Domain Names in Applications (IDNA)
protocol as specified in RFC 5891 <http://tools.ietf.org/html/rfc5891>. This
version of the protocol is often referred to as "IDNA2008" and can produce
different results from the earlier standard from 2003.

The library is also intended to act as a suitable drop-in replacement for the
"encodings.idna" module that comes with the Python standard library but
currently only supports the older 2003 specification.

%files
%doc README.rst HISTORY.rst LICENSE.rst
%{py_puresitedir}/%{srcname}
%{py_puresitedir}/%{srcname}-%{version}-py%{py_ver}.egg-info

#----------------------------------------------------------------------------

%package -n python3-%{srcname}
Summary:	Internationalized Domain Names in Applications (IDNA)
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3egg(setuptools)

%description -n python3-%{srcname}
A library to support the Internationalised Domain Names in Applications (IDNA)
protocol as specified in RFC 5891 <http://tools.ietf.org/html/rfc5891>. This
version of the protocol is often referred to as "IDNA2008" and can produce
different results from the earlier standard from 2003.

The library is also intended to act as a suitable drop-in replacement for the
"encodings.idna" module that comes with the Python standard library but
currently only supports the older 2003 specification.

%files -n python3-%{srcname}
%doc README.rst HISTORY.rst LICENSE.rst
%{py3_puresitedir}/%{srcname}
%{py3_puresitedir}/%{srcname}-%{version}-py%{py3_ver}.egg-info

#----------------------------------------------------------------------------

%prep
%setup -qn %{srcname}-%{version}
# Remove bundled egg-info
rm -rf %{srcname}.egg-info

cp -a . %{py3dir}

%build
python setup.py build

pushd %{py3dir}
python3 setup.py build
popd

%install
pushd %{py3dir}
python3 setup.py install --skip-build --root %{buildroot}
popd

python setup.py install --skip-build --root %{buildroot}

%check
python2 setup.py test

pushd %{py3dir}
python3 setup.py test
popd


%changelog

* Thu Dec 28 2017 dsilakov <denis.silakov@rosalab.ru> 2.6-1
- (e167365) Merge pull request #2 from termim/python-idna:rosa2016.1
- (e167365) python-idna


